Redmine - Feature #451

user's name should be displayed FAMILY NAME - GIVEN NAME order in East Asia.

2007-10-06 02:21 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Fixed

Description

Display user's name FAMILY NAME - GIVEN NAME order when language setting is Japanese or Chinese.

In East Asia countries, person's name is written in the order of "FAMILY-NAME GIVEN-NAME". But Redmine always

displays in Western order. It looks like very funny for us when it written in Japanese Kanji character.

http://en.wikipedia.org/wiki/Personal_name#Name_order

History

#1 - 2007-10-06 04:14 - Jean-Philippe Lang
| propose to add a system settings (application level) that will
let choose how to display names. | can image 3 options:

® givenname name
* name givenname
® username

What do you think ?

#2 - 2007-10-06 06:05 - Go MAEDA

Your proposal is great but it is perfect to have per person
setting that can override application level setting. For
example, my name is displayed in the eastern order "Maeda
Go" and your name is displayed in the western order
"Jean-Philippe Lang" in same Issues page.

In Japan, although Japanese name is displayed as "name
givenname", western people's name is generally displayed as
"givenname name". In the project which consist

of Japanese

and foreigner, name display order is different per person.

#3 - 2007-10-06 09:06 - Jean-Philippe Lang

So, maybe we could define this at language level (in lang files)
and display user name based on its own language.

#4 - 2007-10-06 10:36 - Jean-Philippe Lang

Or maybe we could simply merge 'firstname' and 'lastname' into
a single attribute 'name’.

#5 - 2007-10-06 19:28 - Go MAEDA

To merge the two fields is best and simplest solution for me
among your three proposal. And it meets my demand for using
the different two name order at the same time.

#6 - 2008-02-16 15:28 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed
http://en.wikipedia.org/wiki/Personal_name#Name_order

As of r1103, user display format can be chosen in settings.
You can use the username if the other formats are not acceptable to you.
